<div class="container-m--x bredcrumb learn_container">
    <div class="row px-4 f-16 white">
        <div class="col-md-4">
            <span class="cursor" (click)="goToDefaultPage()"><i class="las la-home f-18 "></i></span><span class="px-3"><i
                class="las la-angle-right f-12 "></i></span>
            <span class="f-14 custom-breadcrumb">Learning Center</span></div>
    </div>
</div>

<div class="container-m--x" *blockUI="'global-loader'; template: blockTemplate">
            <div class="row lpage-layout">
                <!-- title bar -->
                <div class="col-md-12 d-flex mt-4 mb-3">
                    <div class="col-md-10 pl-2">
                        <div class="d-flex align-items-center">
                            <div><i class="las la-graduation-cap mr-1 f-26 text-gray55"></i></div>
                            <div class="lpage-title pl-1">Learning Center</div>
                        </div>
                    </div>
                    <div class="col-md-2 pr-0">
                        <div class="float-right">
                            <div class="btn-group btn-group-sm btn-group-toggle ltab-bg">
                                <label class="btn btn-default cursor"
                                       [ngClass]="tab_type == 0 ?'ltab-active':'ltab-inactive'" (click)="change_tab_type(0)">
                                    <span><i class="las la-border-all f-18"></i></span>
                                </label>
                                <label class="btn btn-default cursor"
                                       [ngClass]="tab_type == 1 ? 'ltab-active':'ltab-inactive'" (click)="change_tab_type(1)">
                                    <span><i class="las la-bars f-18"></i></span>
                                </label>
                            </div>
                        </div>

                    </div>
                </div>
                <!-- title bar -->
                <!-- left side -->
                <div class="col-md-2">
                    <button *ngFor="let group of grouped_videos" class="btn btn-default hide-arrow borderless px-1" 
                    [ngClass]="group.position==selected_group.position?'learn-tab-btn-active':'learn-tab-btn'"
                    (click)="filter_group(group)">
                        <span class="pl-2 WSF">{{group.group_name}}</span>
                    </button>
                </div>
                <!-- left side -->
                <!-- Center content -->
                <div class="col-md-10 elp-left-space">
                    <div class="row" *ngIf="tab_type == 0">
                        <div *ngFor="let course of selected_group.child; index as i" class="col-sm-6 col-xl-3 cursor" (click)="openDialog(videoPopup, { windowClass: 'modal-fill-in modal-md modal-lg animate'}, i, course)">
                            <div class="card  mb-4" [ngClass]="isAciveCard==i?'learn-active-card':'learn-card'">
                              <div class="w-100">
                                <a class="card-img-top d-block ui-rect-60 ui-bg-cover" 
                                [style.background]="'url(assets/imgs/learning/'+ course.image+')'">
                                  <div class="d-flex justify-content-end align-items-end ui-rect-content p-2 card-overlay">
                                    <div class="timeing">{{course.time}}</div>
                                  </div>
                                </a>
                              </div>
                              <div class="card-body p-3"><div class="title">{{course.title}}</div></div>
                            </div>
                        
                          </div>
                        <div class="row" *ngIf="tab_type == 1">
                           <div class="col-md-12">
                               <h5> list section</h5>
                           </div>
                        </div>
                    </div>
                </div>
                <!-- Center content -->
            </div>
</div>

<div *blockUI="'global-loader'; template: blockTemplate"></div>
<ng-template #blockTemplate>
    <div class="block-ui-template">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <img src="../../assets/img/hx-loader-logo.svg" class="loader-svg">
            </div>
            <div class="loading-text-material pt-5 mt-4">
                <p class="text-center text-white">{{loadingText}} </p>
            </div>
        </div>
    </div>
</ng-template>

<ng-template #videoPopup let-c="close" let-d="dismiss">
   
    <div  class="modal-body px-4 pt-0 pb-4" >
        <div class="popup-close cursor" (click)="d('Cross click');" ><i class="ion-md-close"></i></div>
    <div class="row" style="margin-left: -25px;margin-right: -25px;">
        <div class="w-100" style="height:370px;">
            <video  class="learn-video" controls controlsList="nodownload" poster="assets/imgs/learning/{{selected_video.image}}">
                <source src="{{selected_video.video_link}}" type="video/mp4">
            </video>
        </div>
    </div> 
     <div class="row">
         <div class="col-md-12">
             <hr class="popup-hr mb-4">
         </div>
         <div class="col-md-6">
            <div class="learn-popup-title">{{selected_video.title}}</div>
            <div class="learn-popup-tag">{{selected_video.group_name}}</div>
         </div>
         <div class="col-md-6">
          <div class="learn-popup-des">{{selected_video.description}}</div>
        </div>
     </div>
    </div>

  </ng-template>